Subject: bind in bash
From: [email-masked] (Chuck Bogorad)

10 May 1997 13:19:16 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
Original-Sender: [email-masked]

[email-masked] wrote:

 Ac> I have been trying to add a binding so that "Home", "End" etc. do
 Ac> the obvious things for command line editing.  I have tried
 Ac> everything I can possibly thing of but I can't get it to work.  Is
 Ac> bind broken? 

here's how it's done:

# home key
bind '"\e[1~":beginning-of-line'
# del key
bind '"\e[3~":delete-char'
# end key
bind '"\e[4~":end-of-line'
# pgup key
bind '"\e[5~":history-search-forward'
# pgdn key
bind '"\e[6~":history-search-backward'

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".